Welcome to Weblinks Organizer

AutoClip version 1.0 freeware

AutoClip is a self regulating clipboard utility. Text copied to the Windows clipboard is automatically pasted to AutoClip and saved to disk.

Next topic
Overview

------------------------------------------------
Shareware advertisement.
Click the image below to download BaseConv 3.5, the Worlds most advanced base conversion calculator. BaseConv is for programmers, IT professionals, students or anyone who works with different number bases . BaseConv includes a comprehensive help file that explains binary and hex numbers in easy to understand language. If you don't know what a signed 32 bit number is, BaseConv will teach you!
For Win 95/98/me/NT/2000/XP

Only $5 to register.
Fully functional - no time limit or nag screen.
Download now 633kb
------------------------------------------------


Overview

AutoClip is for people who make extensive use of the Windows clipboard. Computer programmers and people who copy a lot of text while surfing the web will appreciate the features offered by AutoClip.

AutoClip is self regulating. You do not have to worry about file size or wasted disk space, AutoClip will maintain its file size automatically.

AutoClip is crash proof. If your computer locks up while surfing the web, or crashes because of a programming error, any text copied to AutoClip will be there when you next start your computer.

Next topic
Quick guide


Quick start

Quick guide

Start AutoClip and leave it running in the background. AutoClip monitors the Windows clipboard and saves any copied text to disk.

This section explains each button on the AutoClip toolbar.

Click this button to save all text to disk.
Note. AutoClip automatically saves all copied text to disk. This button will only be enabled when you enter text by hand.

Click this button to save all text or selected text as a text file. More

Cut selected text to the Windows clipboard.

Copy selected text to the Windows clipboard.

Paste text from the Windows clipboard.

Clicking this button displays a pop-up menu. Select an item to delete 25%, 50%, 75% or 100% of text from AutoClip.

Undo last action.

Search for text.

AutoClip beeps each time text is copied from the Windows clipboard. This button toggles sound on or off.

Click this button to disable AutoClip. Any text copied to the Windows clipboard will not be automatically pasted to AutoClip while this button is pressed.

This drop down list shows the first line of each block of text copied from the clipboard. More

See also
 How AutoClip saves text
How much text can AutoClip hold
How to save text to another file
How outline works

This section explains the AutoClip Status bar.

This shows the size of text currently held by AutoClip.

This shows the amount of text that will saved when AutoClip closes. More

Press Ctrl+W to toggle word wrapping.


Contact details

Please send bug reports, comments and suggestions by email to rgw@cix.co.uk

Visit my web site for shareware and freeware, for PC and PDA.


How do I save text to another file

How to save text to another file

You can save all or part of the text to a file. To save all text, click the Save button [image] and choose a filename and location. To save part of the text, first highlight the text you wish to save and then click the Save button.

Back


How does AutoClip save text

How AutoClip saves text

Each time you copy text to the Windows clipboard AutoClip saves that text to disk. The text is stored in a file called autoclip.rtf which is located in the AutoClip installation folder. To prevent this file from growing in size and wasting disk space, and to save the user from having to manually delete text, AutoClip will limit the size of autoclip.rtf when the program closes. The size of the saved file can be between 0kb and 50kb and is determined by the user. From the Tools menu, select Auto Save on Close, and select the file size.

You can recover text that has been automatically deleted. From the File menu, select Open Backup File. This will reload the text from the previous session, before AutoClip truncated the file.


How does outline work

How outline works

When AutoClip saves text from the Windows clipboard it first adds the date and time.

24/09/2001 10:36:08 AM

---------------------------------------

It then adds the text. When you click the Outline combo, AutoClip searches through the file for each date and time and adds the first line of text to the drop down list. Selecting an item in the list will move the cursor to first line in that block of text. If you delete any date and time, the outline list will not show that copied text block.


How much text can AutoClip hold

AutoClip can hold as much text as your computers operating system and memory will allow. However, AutoClip was designed as a clipboard utility for programmers or web surfers who typically copy small blocks of text.